Bug 1462303 - PKCS#12 files with scrypt key derivation function are not supported
Summary: PKCS#12 files with scrypt key derivation function are not supported
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Daiki Ueno
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: rhel7-nss-pkcs12 1642471
TreeView+ depends on / blocked
 
Reported: 2017-06-16 16:45 UTC by Hubert Kario
Modified: 2018-10-24 13:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1642471 (view as bug list)
Environment:
Last Closed: 2018-10-02 14:52:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1220573 None None None Never
Mozilla Foundation 1373733 None None None 2017-06-16 16:48:32 UTC

Internal Links: 1220573

Description Hubert Kario 2017-06-16 16:45:16 UTC
Description of problem:
Import of PKCS#12 files with scrypt key derivation function is not supported.

Version-Release number of selected component (if applicable):
nss-3.28.4-8.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
pk12util -l 'keyfile-corpus-keyfiles-0.1.2/rsa(2048,sha256),cert&key(PBES2(scrypt(salt(64),N(16384),r(8),p(1)),aes-256-cbc(IV(16)))),mac(sha512,salt(64),iter(1000000)),pass(ascii).p12' -v -w keyfile-corpus-keyfiles-0.1.2/password-ascii.txt

Actual results:
pk12util: PKCS12 decode validate bags failed: SEC_ERROR_PKCS12_UNABLE_TO_IMPORT_KEY: Unable to import.  Error attempting to import private key.

Expected results:
Key listed

Additional info:


Note You need to log in before you can comment on or make changes to this bug.